32-bit app Pop-Up message on macOS 10.13.4 (High Sierra)


If you're seeing this warning similar to this, you are likely running a 32-bit app on macOS 10.13.4 (High Sierra).




At the 2017 Worldwide Developers Conference, Apple announced that High Sierra would be “the final macOS release to support 32-bit apps without compromises.”  Read the full support KB article from Apple here.

We are currently investigating any exposure related to this change by Apple. This transition does present unique development challenges, and it’s not yet known if every Datalocker device, such as legacy devices will be upgraded.

Please refer to Datalocker's Firmware updates page for the latest releases: 

https://support.datalocker.com/support/solutions/articles/4000083286-device-firmware-updates


Updated devices are listed below. Release dates for other devices are in development at this time.  


Released Q4 2018:

Sentry 3 FIPS

SafeStick


Released Q2 2019:

Sentry One Standard / Managed

Sentry EMS

H300/H350*

 

Note

*MacOS 10.15 Catalina may not be supported


Expected Q4 2019

Unified client release 6.2.2 is under development and Should Address macOS 10.15 Catalina support on H300 / H350 devices.  


To ensure continued support of Datalocker Encrypted USB device functionality, we recommend waiting to upgrade to a new macOS beyond Mojave until we are able to verify macOS 10.15 compatibility.


Please feel free to contact us if you have any questions or concerns.
Thank you for your continued support and patience.